For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTCreate a report
      • GETRetrieve a report
      • GETList all reports
      • DELDelete a report
LogoLogo
Legacy DocsSign in
API ReferenceReports

Retrieve a report

GET
https://api.ntropy.com/v3/reports/:id
GET
/v3/reports/:id
$curl -X "GET" \
> "https://api.ntropy.com/v3/reports/a652285d-de1b-4a6f-b6ce-45efa9be7952" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl"
1{
2 "transaction_id": "xbx8YP14g565Xk",
3 "description": "lorem ipsum",
4 "fields": [
5 ".entities.counterparty"
6 ],
7 "id": "a652285d-de1b-4a6f-b6ce-45efa9be7952",
8 "created_at": "2024-10-03T02:53:30.167953Z",
9 "status": "open"
10}
Retrieve a report
Was this page helpful?
Previous

List all reports

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

idstringRequired

Response

Successful Response
transaction_idstring>=1 character
The unique identifier of the transaction
descriptionstring
A description of what is wrong in the transaction
fieldslist of strings
A list of the fields that are incorrect
idstring
A generated unique identifier for the report.
created_atdatetime
The date and time when the report was created.
statusenum

The status of the report.

  • open: a newly created report
  • pending: the report is being investigated
  • rejected: the original enrichment output was deemed correct or we couldn’t resolve it, check rejection_reason
  • resolved: the issue has been resolved
Allowed values:
rejection_reasonstring or null
If the report was rejected, an explanation for the rejection.

Errors

404
Not Found Error
422
Unprocessable Entity Error